Delete a backtest version

DELETE https://api.cryptohopper.com/v1/backtest/{id}/versions/{version_id}

Deletes one earlier run (version) of one of your backtests.

OAuth scope: manage About scopes

Requires an active subscription or trial; otherwise the request is refused with 403.

Example request

curl -X DELETE "https://api.cryptohopper.com/v1/backtest/BACKTEST_ID/versions/VERSION_ID" \
  -H "access-token: YOUR_ACCESS_TOKEN"

Parameters

Headers

NameTypeRequiredDescription
access-token string Required The OAuth access token of the user.

Path parameters

NameTypeRequiredDescription
version_id string Required Version ID, the version_id field of List backtest versions.
id string Required Backtest ID, as returned by List backtests.

Response

Example response (illustrative values)

{
    "data": "Backtest history version deleted."
}

Status codes: 200. Errors return JSON with status, error and message. See How the API works for response codes and rate limits.